Author Topic: How to rewrite a command macro.  (Read 1335 times)

0 Members and 1 Guest are viewing this topic.

thunderfoot

  • Guest
How to rewrite a command macro.
« on: January 24, 2013, 12:32:27 PM »
$M=$(if,$(eq,$(substr,$(getvar,cmdnames),1,4),GRIP),_stretch,^C^C_stretch)

This is the command macro for the 'stretch' command in AutoCAD, can someone tell me how to rewrite it to always use a crossing window?

I have written a lisp that is not really a lisp:

(defun c:ss ()
   (command "stretch" "c")
)

It is effective enough, I'm just trying to learn about programming. My knowledge on the subject is almost nil.
Also what are the '$' symbols?

Thanks,
     Reuben Shilling

Lee Mac

  • Seagull
  • Posts: 12914
  • London, England
Re: How to rewrite a command macro.
« Reply #1 on: January 24, 2013, 01:20:16 PM »
Also what are the '$' symbols?

These are DIESEL language.
See also DIESEL Expressions in Macros.

Welcome to the Swamp Reuben  :-)

thunderfoot

  • Guest
Re: How to rewrite a command macro.
« Reply #2 on: January 24, 2013, 01:26:28 PM »
Thanks Lee.  :-)